#include <DxLib.h>
#include "Enemy.h"

//攻撃された
void Enemy_Attacked(Enemy_t *enemy){
	enemy->damage = GetRand(100);	//0~100の乱数をダメージにする
	enemy->nowHP -= enemy->damage;	//ダメージ分体力を減らす
}

//更新
void Enemy_Update(Enemy_t *enemy){
}

//描画
void Enemy_Draw(const Enemy_t *enemy){
	if(enemy->nowHP > 0){
		DrawFormatString(0,20,GetColor(255,255,255),"敵に%3dのダメージ！ [%04d/%04d]", enemy->damage, enemy->nowHP, enemy->maxHP);
	} else {
		DrawFormatString(0,20,GetColor(255,255,255),"勝利！");
	}
}